TOPSRCDIR = @top_srcdir@
TOPOBJDIR = ../..
SRCDIR    = @srcdir@
VPATH     = @srcdir@
MODULE    = quartz
EXTRALIBS = $(LIBUUID) @JPEGLIB@
EXTRADEFS = -DHAVE_AV_CONFIG_H -DPIC
EXTRAINCL = -Iffmpeg -Iffmpeg/libavformat -Iffmpeg/libavcodec

LDDLLFLAGS = @LDDLLFLAGS@
SYMBOLFILE = $(MODULE).tmp.o

FFMPEG_MMX_SRCS = \
	ffmpeg/libavcodec/i386/cputest.c \
	ffmpeg/libavcodec/i386/dsputil_mmx.c \
	ffmpeg/libavcodec/i386/fdct_mmx.c \
	ffmpeg/libavcodec/i386/fft_sse.c \
	ffmpeg/libavcodec/i386/motion_est_mmx.c \
	ffmpeg/libavcodec/i386/mpegvideo_mmx.c \
	ffmpeg/libavcodec/i386/simple_idct_mmx.c

FFMPEG_SRCS = \
	ffmpeg_audio.c \
	ffmpeg_video.c \
	ffmpeg_parse.c \
	ffmpeg/libavformat/aviobuf.c \
	ffmpeg/libavformat/avio.c \
	ffmpeg/libavformat/cutils.c \
	ffmpeg/libavformat/mpeg.c \
	ffmpeg/libavformat/mpegts.c \
	ffmpeg/libavformat/rtp.c \
	ffmpeg/libavformat/rtpproto.c \
	ffmpeg/libavformat/rtsp.c \
	ffmpeg/libavformat/tcp.c \
	ffmpeg/libavformat/udp.c \
	ffmpeg/libavformat/utils.c \
	ffmpeg/libavcodec/4xm.c \
	ffmpeg/libavcodec/ac3enc.c \
	ffmpeg/libavcodec/adpcm.c \
	ffmpeg/libavcodec/allcodecs.c \
	ffmpeg/libavcodec/asv1.c \
	ffmpeg/libavcodec/common.c \
	ffmpeg/libavcodec/cyuv.c \
	ffmpeg/libavcodec/dsputil.c \
	ffmpeg/libavcodec/dv.c \
	ffmpeg/libavcodec/eval.c \
	ffmpeg/libavcodec/error_resilience.c \
	ffmpeg/libavcodec/fft.c \
	ffmpeg/libavcodec/golomb.c \
	ffmpeg/libavcodec/h263.c \
	ffmpeg/libavcodec/h263dec.c \
	ffmpeg/libavcodec/h264.c \
	ffmpeg/libavcodec/huffyuv.c \
	ffmpeg/libavcodec/imgconvert.c \
	ffmpeg/libavcodec/indeo3.c \
	ffmpeg/libavcodec/jfdctfst.c \
	ffmpeg/libavcodec/jfdctint.c \
	ffmpeg/libavcodec/jrevdct.c \
	ffmpeg/libavcodec/mace.c \
	ffmpeg/libavcodec/mdct.c \
	ffmpeg/libavcodec/mem.c \
	ffmpeg/libavcodec/mjpeg.c \
	ffmpeg/libavcodec/motion_est.c \
	ffmpeg/libavcodec/mpeg12.c \
	ffmpeg/libavcodec/mpegaudio.c \
	ffmpeg/libavcodec/mpegaudiodec.c \
	ffmpeg/libavcodec/mpegvideo.c \
	ffmpeg/libavcodec/msmpeg4.c \
	ffmpeg/libavcodec/opts.c \
	ffmpeg/libavcodec/pcm.c \
	ffmpeg/libavcodec/ratecontrol.c \
	ffmpeg/libavcodec/raw.c \
	ffmpeg/libavcodec/rv10.c \
	ffmpeg/libavcodec/simple_idct.c \
	ffmpeg/libavcodec/svq1.c \
	ffmpeg/libavcodec/utils.c \
	ffmpeg/libavcodec/vp3.c \
	ffmpeg/libavcodec/wmadec.c

X86FILES = \
	$(FFMPEG_MMX_SRCS)

C_SRCS = \
	acmwrap.c \
	amundoc.c \
	asyncsrc.c \
	audioutl.c \
	audren.c \
	audren2.c \
	avidec.c \
	aviparse.c \
	basefilt.c \
	basepin.c \
	capgraph.c \
	complist.c \
	csconv.c \
	devenum.c \
	enumreg.c \
	enumunk.c \
	fgevent.c \
	fgpass.c \
	fgraph.c \
	filesink.c \
	fmap.c \
	ifgraph.c \
	ijgdec.c \
	imcntl.c \
	imfilter.c \
	impos.c \
	imseek.c \
	iunk.c \
	main.c \
	memalloc.c \
	midparse.c \
	mjpgdec.c \
	mpadec.c \
	mpgparse.c \
	mpvdec.c \
	mtype.c \
	parser.c \
	qtdec.c \
	qtparse.c \
	regsvr.c \
	sample.c \
	seekpass.c \
	sysclock.c \
	videoblt.c \
	vidren.c \
	wavparse.c \
	xform.c \
	$(FFMPEG_SRCS) \
	@X86FILES@

@MAKE_DLL_RULES@

# this is probably a GNUism
$(FFMPEG_MMX_SRCS:.c=.o): %.o: %.c
	$(CC) -c $(ALLCFLAGS) -fno-PIC -o $@ $<

### Dependencies:
